<div fxLayoutAlign="center center">
    <mat-card fxFlex.lg="100%">
        <mat-card-header>
            <mat-card-title>Filter</mat-card-title>
        </mat-card-header>
        <mat-card-content>
            <form [formGroup]="filterForm">
                <div fxLayout="column">
                    <mat-form-field appearance="outline">
                        <mat-label>Code</mat-label>
                        <input matInput placeholder="ค้นหาด้วยรหัสพนักงาน" formControlName="code">
                    </mat-form-field>

                    <!-- Filter next field-->
                    <mat-form-field appearance="outline">
                        <mat-label>ชื่อผู้ใช้งาน</mat-label>
                        <input type="text" matInput placeholder="ค้นหาด้วยชื่อ" formControlName="name">
                    </mat-form-field>

                    <mat-form-field appearance="outline">
                        <mat-label>Email</mat-label>
                        <input type="email" matInput placeholder="ค้นหาด้วยอีเมล์" formControlName="email">
                    </mat-form-field>

                    <mat-form-field appearance="outline">
                        <mat-label>รูปแบบใช้งาน</mat-label>
                        <mat-select formControlName="active">
                            <mat-option value="Y">ใช้งาน</mat-option>
                            <mat-option value="N">ไม่ใช้งาน</mat-option>
                        </mat-select>
                    </mat-form-field>
                    <mat-form-field appearance="outline">
                        <mat-label>บทบาทการใช้งาน</mat-label>
                        <mat-select formControlName="role">
                            <mat-option value="A">ผู้ดูแลระบบ</mat-option>
                            <mat-option value="U">ผู้ใช้งาน</mat-option>
                        </mat-select>
                    </mat-form-field>
                </div>

            </form>
        </mat-card-content>
        <mat-card-actions>
            <button mat-button color="primary" (click)="onFilterClick()">
                <mat-icon>search</mat-icon>ค้นหา
            </button>
            <button mat-button style="color:green" (click)="onAddBtnClick()">
                <mat-icon>add_circle_outline</mat-icon>เพิ่มผู้ใช้งาน
            </button>
        </mat-card-actions>
        <mat-card-footer>
            <div>
                <table mat-table [dataSource]="dataSource" class="mat-elevation-z8" fxFlex="100%">

                    <!-- Position Column -->
                    <ng-container matColumnDef="ed">
                        <th mat-header-cell *matHeaderCellDef>แก้ไข</th>
                        <td mat-cell *matCellDef="let element">
                            <button mat-icon-button color="primary" (click)="onEditBtnClick(element.id)">
                                <mat-icon>edit</mat-icon>
                            </button>
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="code">
                        <th mat-header-cell *matHeaderCellDef> Code </th>
                        <td mat-cell *matCellDef="let element"> {{element.code}} </td>
                    </ng-container>

                    <ng-container matColumnDef="name">
                        <th mat-header-cell *matHeaderCellDef> Name </th>
                        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                    </ng-container>

                    <ng-container matColumnDef="email">
                        <th mat-header-cell *matHeaderCellDef> Email </th>
                        <td mat-cell *matCellDef="let element"> {{element.email}} </td>
                    </ng-container>

                    <ng-container matColumnDef="role">
                        <th mat-header-cell *matHeaderCellDef> Role </th>
                        <td mat-cell *matCellDef="let element"> {{element.role}} </td>
                    </ng-container>

                    <ng-container matColumnDef="active">
                        <th mat-header-cell *matHeaderCellDef> Active </th>
                        <td mat-cell *matCellDef="let element">
                            <mat-slide-toggle color="primary" [checked]="element.active =='Y'"
                                (toggleChange)="onActiveChange(element.id, element.active)"></mat-slide-toggle>
                        </td>
                    </ng-container>

                    <ng-container matColumnDef="del">
                        <th mat-header-cell *matHeaderCellDef>ลบ</th>
                        <td mat-cell *matCellDef="let element">
                            <button mat-icon-button color="warn" (click)="onDeleteClick(element.id)">
                                <mat-icon>delete</mat-icon>
                            </button>
                        </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>
            </div>
        </mat-card-footer>
    </mat-card>
</div>